Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039863
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2018-12-31 17:292022-02-07 17:20
ReporterJONHMView Statuspublic 
Assigned Tomarkmm82 
PriorityhighResolutionfixedFixed in VersionPR22Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039863: AverageAlgorithm class can be improved by showing the product.getSearchKey() on the OBException

DescriptionThe OBException of getOutgoingTransactionCost() method of AverageAlgorithm class can be improved by showing the product.getSearchKey().
In case of variants or generic products is difficult to tell which product is throwing the exception in case of errors.
Steps To ReproduceIn case of variants or generic products is difficult to tell which product is throwing the exception in case of errors.
Proposed SolutionShow the product.getSearchKey() into the OBException:
https://code.openbravo.com/erp/devel/pi/file/tip/src/org/openbravo/costing/AverageAlgorithm.java#l85 [^]

TagsNo tags attached.
Attached Filesdiff file icon costes.diff [^] (5,034 bytes) 2022-01-24 11:51 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0114791)
markmm82 (developer)
2019-09-26 03:17

Notice new exception include the product name and the product search key in the format:
Product: <Product Name> (<Product Search Key>)
(0134507)
dromero (developer)
2022-01-24 11:51

Attached patch for solution
(0134717)
hgbot (developer)
2022-02-01 15:10

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/519 [^]
(0134811)
hgbot (developer)
2022-02-07 17:20

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: c119be731f17076d443d024b62a87645b98d2040
Author: Víctor Martínez Romanos <victor.martinez@openbravo.com>
Date: 07-02-2022 16:18:36
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/c119be731f17076d443d024b62a87645b98d2040 [^]

Fixed ISSUE-39863: Costing exceptions now show product identifier

This is especially useful when working with variants or generic products.

Patch provided by CSU

---
M src/org/openbravo/costing/AverageAlgorithm.java
M src/org/openbravo/costing/AverageCostAdjustment.java
M src/org/openbravo/costing/CostingAlgorithm.java
M src/org/openbravo/costing/CostingUtils.java
---
(0134812)
hgbot (developer)
2022-02-07 17:20

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/519 [^]

- Issue History
Date Modified Username Field Change
2018-12-31 17:29 JONHM New Issue
2018-12-31 17:29 JONHM Assigned To => Triage Finance
2018-12-31 17:29 JONHM Modules => Core
2018-12-31 17:29 JONHM Triggers an Emergency Pack => No
2019-09-13 06:56 markmm82 Assigned To Triage Finance => markmm82
2019-09-13 06:56 markmm82 Status new => scheduled
2019-09-26 03:17 markmm82 Note Added: 0114791
2022-01-24 11:51 dromero Proposed Solution updated
2022-01-24 11:51 dromero Note Added: 0134507
2022-01-24 11:51 dromero File Added: costes.diff
2022-02-01 15:10 hgbot Note Added: 0134717
2022-02-07 17:20 hgbot Resolution open => fixed
2022-02-07 17:20 hgbot Status scheduled => closed
2022-02-07 17:20 hgbot Fixed in Version => PR22Q2
2022-02-07 17:20 hgbot Note Added: 0134811
2022-02-07 17:20 hgbot Note Added: 0134812


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker